OPNsense Forum

Archive => 18.1 Legacy Series => Topic started by: 1veryNaughtyCat on May 23, 2018, 02:31:22 am

Title: Enabling Zonomi API as a LetEncrypt DNS validator
Post by: 1veryNaughtyCat on May 23, 2018, 02:31:22 am
Hello Team,
Firstly thank for a great product!  :)

I use Zonomi as my DNS provider.  I notice that the AcmeClient has the ability to use the Zonomi API to validate LetsEncrypt certs requests.

However the LetEncrypt client on current version of OPNSense (18.1.8 )  and the os-acme-client (1.14) does not expose the Zonomi API option for DNS-01 validation. 

I am wanting to use the in build Acme Client as I am using HA Proxy for my frontend of my web servers and it would be great to automate the process.


I hope someone can help me :)

Thank you for your time

Cheers
Reuben.
Title: Re: Enabling Zonomi API as a LetEncrypt DNS validator
Post by: Omar Khalil on June 23, 2018, 02:19:08 am
Hi Reuben,

I already added many missing DNS providers, but the changes are still not merged, However, if you want to get it asap, you can make the changes from the following commit manually:

https://github.com/opnsense/plugins/pull/712/commits/711525177bed33ae85c3a93c1e91280f6f05a0d2